Manual: duplication in "see also" and "All other matches"

04 Apr 2014 12:48 - John Abbott

Status: Closed Start date: 04 Apr 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 2.00 hours

Target version: CoCoA-5.1.2 summer 2015 Spent time: 2.25 hours

Description

In some cases there is duplication in the lists of "See also" and "All other matches".

A specific instance is:

?round

...

See also:

 ? num

 ? den

 ? floor

 ? ceil

All 2 other matches for "round":

 ? ceil

 ? floor

History

#1 - 04 Apr 2014 12:51 - John Abbott

JAA does not like the duplication:

it makes us look inept (why didn't we bother to "clean" one of the lists?)

it wastes vertical space (the actual manual entry scrolls up out of sight)

#2 - 04 Apr 2014 12:54 - John Abbott

The "See also" list is determined by whoever wrote the manual entry (its contents are "handwritten").

The "All other matches" is generated automatically.

I suggest using the title "All further matches", and then listing only those entries not already mentioned in "See also".  If there are too many "further

matches" then there should be a message like "There are also N further matches for XYZ".

#3 - 18 Jul 2014 10:15 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 0 to 90

- Estimated time set to 2.00 h

Seems ok on round and indets.

(code in OnlineHelp is pretty horrible, but it works)
#4 - 11 May 2015 14:19 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.2 summer 2015

#5 - 29 Jul 2015 16:21 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 90 to 100
